@media (max-width: 1620px) {
    /* Skills Section */
    .skills-grid {
        display: grid;
        grid-template-columns: repeat(5, 1fr);
    }
}

@media (max-width: 1420px) {
    /* Hero Section */
    .hero-section {
        --hero-font-size: clamp(2rem, 8vw, 10rem);
        position: relative;
        padding-left: 30px;
        padding-right: 30px;
    }

    .hero-section h1 {
        font-size: var(--hero-font-size);
        white-space: nowrap;
    }

    .hero-section .subhead {
        font-size: calc(var(--hero-font-size) * 0.2);
    }

    .hero-section hr {
        width: calc(var(--hero-font-size) * 3.9);
        height: calc(var(--hero-font-size) * 0.05);
        margin: calc(var(--hero-font-size) * 0.2) auto;
    }

    .hero-email {
        position: absolute;
        left: 30px;
        bottom: 10%;
        font-size: clamp(16px, calc(var(--hero-font-size) * 0.15), 20px);
    }

    .hero-email:hover {
        font-size: clamp(16px, calc(var(--hero-font-size) * 0.15), 20px);
    }

    .scroll-indicator {
        position: absolute;
        right: 10px;
        bottom: 9%;
        gap: clamp(20px, calc(var(--hero-font-size) * 0.34), 100px);
    }

    .scroll-text {
        font-size: clamp(16px, calc(var(--hero-font-size) * 0.15), 20px);
        text-align: center;
    }

    @keyframes scrollBounce {
        0%, 100% {
            transform: translateY(0);
        }
        50% {
            transform: translateY(calc(var(--hero-font-size) * 0.23));
        }
    }
}

@media (max-width: 1350px) {
    /* About Section */
    .about-me-headline {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .about-me {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .about-left,
    .about-right {
        width: 90%;
    }

    .about-right {
        display: flex;
        justify-content: center;
    }

    /* Portfolio Section */
    .project-wrapper-even {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 24px;
    }

    .project-wrapper-odd {
        display: flex;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        gap: 24px;
    }

    .project-details-container {
        margin-bottom: 20px;
        width: 655px; 
    }
}

@media (max-width: 1220px) {
    h2 {
        font-size: 55px;
    }

    /* Toggle Menu */
    .open-menu {
        gap: 35px;
    }

    .open-nav-link {
        font-size: 65px !important;
        padding: 10px 25px !important;
    }

    .open-nav-link::before {
        width: 25px;
        height: 25px;
        border-left: 4px solid var(--farbe-black);
        border-bottom: 4px solid var(--farbe-black);
    }

    .toggle-footer-heading {
        font-size: 56px; 
    }

    /* Hero Section */
    .subhead h3 {
        font-size: 36px;
    }

    .hero-section .subhead {
        font-size: calc(var(--hero-font-size) * 0.1);
    }

    .hero-section hr {
        width: calc(var(--hero-font-size) * 3.4);
        height: calc(var(--hero-font-size) * 0.05);
        margin: calc(var(--hero-font-size) * 0.2) auto;
    }

    /* Skills Section */
    .skills-grid {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
    }

    .skills-outline::before {
        background: linear-gradient(
            to right,
            var(--farbe-black) calc(50% - 220px),
            transparent calc(50% - 220px),
            transparent calc(50% + 220px),
            var(--farbe-black) calc(50% + 220px)
        );
        pointer-events: none;
    }
}

@media (max-width: 1055px) {
    /* Skills Section */
    .skills-grid {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    .skills-outline h2 {
        padding: 0;
    }

    .skills-grid {
        gap: 30px 60px;
    }

    /* References Section */
    .references-area {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

@media (max-width: 810px) {
    h2 {
        font-size: 36px;
    }

    h4 {
        font-size: 38px;
    }

    /* Hero Section */
    .subhead {
        margin-top: 14px;
    }

    .subhead h3 {
        font-size: 28px;
    }

    .hero-section .subhead {
        font-size: calc(var(--hero-font-size) * 0.1);
    }

    .hero-section hr {
        width: calc(var(--hero-font-size) * 2.9);
        height: calc(var(--hero-font-size) * 0.05);
        margin: calc(var(--hero-font-size) * 0.2) auto;
    }

    /* About Section */
    .about-left,
    .about-right {
        width: 100%;
    }

    /* Skills Section */
    .skills-outline {
        padding: 80px 60px;
    }

    .skills-outline::before {
        background: linear-gradient(
            to right,
            var(--farbe-black) calc(50% - 145px),
            transparent calc(50% - 145px),
            transparent calc(50% + 145px),
            var(--farbe-black) calc(50% + 145px)
        );
        pointer-events: none;
    }

    .skills-grid {
        margin-top: 35px;
        gap: 30px 22px;
    }

    .skills-information {
        display: flex;
        justify-content: center;
        flex-direction: column;
    }

    .skills-information p {
        text-align: center;
    }

    .skills-card img {
        width: 43px;
    }

    .skills-card span {
        font-size: 14px;
    }

    /* Legal Notice & Privacy Policy */
    .text-container {
        max-width: 1440px;
        margin: 0 auto;
        padding: 60px 20px 20px 20px;
    }
}

@media (max-width: 700px) {
    .scroll-down-right-arrow img {
        width: 40% !important;
        height: auto;
    }

    .scroll-down-left-arrow img {
        width: 40% !important;
        height: auto; 
        margin-top: -16px;
    }

    /* Skills Section */
    .skills-information p {
        font-size: 16px;
    }

    /* References and Portfolio Section */
    .section-subhead {
        font-size: 20px;
    }

    /* References  */
    .references h2 {
        margin-top: 0px;
    }

    /* Toggle Menu */
    .open-menu {
        gap: 30px;
    }

    .open-nav-link {
        font-size: 40px !important;
        padding: 10px 20px !important;
    }

    .open-nav-link::before {
        width: 15px;
        height: 15px;
        border-left: 4px solid var(--farbe-black);
        border-bottom: 4px solid var(--farbe-black);
    }

    .footer-direction {
        flex-direction: column;
        align-items: flex-start !important;
        justify-content: space-between;
    }

    .toggle-menu-left {
        display: flex;
        flex-direction: column;
        align-items: flex-start !important;
    }

    .toggle-menu-right {
        margin-top: 30px;
        margin-bottom: -10px;
        align-self: flex-end;
    }

    .toggle-footer-heading {
        font-size: 40px;
    }

    .footer-link-text {
        font-size: 18px;
    }
}

@media (max-width: 570px) {
    /* Hero Section */
    .subhead h3 {
        font-size: 20px;
    }

    .subhead {
        margin-top: 10px;
    }

    .hero-section hr {
        width: calc(var(--hero-font-size) * 2.5);
        height: calc(var(--hero-font-size) * 0.05);
        margin: calc(var(--hero-font-size) * 0.1) auto;
    }
}

@media (max-width: 500px) {
    h2 {
        font-size: 30px;
    }

    h4 {
        font-size: 30px;
    }

    h5 {
        font-size: 22px;
    }

    /* Header Menu */
    .burger-menu {
        margin-left: 10px;
    }

    /* Skills Section */
    .skills-outline {
        padding: 60px 30px;
    }

    .skills-outline::before {
        background: linear-gradient(
            to right,
            var(--farbe-black) calc(50% - 120px),
            transparent calc(50% - 120px),
            transparent calc(50% + 120px),
            var(--farbe-black) calc(50% + 120px)
        );
        pointer-events: none;
    }

    /* Reference Section  */
    .reference-name {
        white-space: nowrap;
    }

    .references-container {
        padding: 35px 20px;
    }

    .references-container:hover {
        padding: 35px 20px;
    }

    /* Contact Form */
    .contact-heading {
        font-size: 45px;
    }

    .contact-subtitle {
        font-size: 30px;
    }

    .form-submit {
        margin-top: 24px;
        padding: 16px 45px;
        white-space: nowrap;
    }

    /* Footer */
    .scroll-up-arrow {
        display: none;
    }

    .footer-container {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .footer-left {
        margin-top: 50px;
        margin-bottom: -80px;
    }

    .footer-left img {
        padding-left: 0;
        width: 65px;
    }

    .footer-left a {
        justify-content: center;
    }

    .footer-left p {
        display: none;
    }

    .footer-right {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
    }

    .footer-right .copywrite.d-none {
        display: block !important;
        padding-left: 0;
    }

    .social-media-icon {
        justify-content: center;
        padding-right: 18px;
        margin: 0;
    }

    .link-area {
        justify-content: center;
        margin-top: 0px;
        margin-right: 0;
        gap: 20px;
    }

    .footer-links {
        padding-right: 0;
    }

    .footer-links::after {
        left: 49%;
    }

    /* Toast Message  */
    .toast-message {
        font-size: 19px;
        width: 310px;
        min-width: 310px;
        height: 80px;
    }
}